import { NgModule } from "@angular/core";

import { RouteRoutingModule } from "./routes-routing.module";
import { ShareModule } from "../share";
import { LoginComponent } from "./login/login.component";
import { HomeComponent } from "./home/home.component";
import { RevolvingMaterialModule } from "./revolving-material/revolving-material.module";

// single pages

const COMPONENTS = [
  // single pages
  LoginComponent,
  HomeComponent
];
const COMPONENTS_NOROUNT = [];

@NgModule({
  imports: [ShareModule, RouteRoutingModule, RevolvingMaterialModule],
  declarations: [...COMPONENTS, ...COMPONENTS_NOROUNT],
  entryComponents: COMPONENTS_NOROUNT
})
export class RoutesModule {}
